""" Distributor init file

Distributors: you can add custom code here to support particular distributions
of scikit-learn.

For example, this is a good place to put any checks for hardware requirements.

The scikit-learn standard source distribution will not put code in this file,
so you can safely replace this file with your own version.
"""

import os as _os
if _os.environ.get('USE_DAAL4PY_SKLEARN', False) in [True, '1', 'y', 'yes', 'Y', 'YES', 'Yes', 'true', 'True', 'TRUE']:
    try:
        from daal4py.sklearn import patch_sklearn
        patch_sklearn()
        del patch_sklearn
    except (ImportError, ModuleNotFoundError):
        pass
    del _os
